# DELETE /transformations/{{transformationId}} — Delete Transformation Based On Trs_id

> Product: **Pabbly Hook** (v1)
> Base URL: `https://hook.pabbly.com/api/v1`
> Auth: Basic via `Authorization` header
> Canonical: `/hook/transformation/delete-transformation-based-on-trs-id`

Permanently delete a transformation. Connections using it fall back to passing payloads through unchanged.

**Path parameters:**

| Name | Type | Required | Description |
|------|------|----------|-------------|
| transformationId | string | Yes |  |

**Code examples:**

_cURL_

```curl
curl -X DELETE https://hook.pabbly.com/api/v1/transformations/{{transformationId}} \
  -u {{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}
```

_Ruby_

```ruby
require 'net/http'
require 'json'

uri = URI('https://hook.pabbly.com/api/v1/transformations/{{transformationId}}')
request = Net::HTTP::Delete.new(uri)
request.basic_auth '{{YOUR_API_KEY}}', '{{YOUR_SECRET_KEY}}'

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == 'https') do |http|
  http.request(request)
end

data = JSON.parse(response.body)
```

_Python_

```python
import requests
from requests.auth import HTTPBasicAuth

response = requests.delete(
    'https://hook.pabbly.com/api/v1/transformations/{{transformationId}}',
    auth=HTTPBasicAuth('{{YOUR_API_KEY}}', '{{YOUR_SECRET_KEY}}'),
)

data = response.json()
```

_PHP_

```php
<?php
$ch = curl_init('https://hook.pabbly.com/api/v1/transformations/{{transformationId}}');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_USERPWD, '{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}');

$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);
```

_Java_

```java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;

String credentials = Base64.getEncoder().encodeToString("{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}".getBytes());

HttpClient client = HttpClient.newHttpClient();
HttpRequest.Builder builder = HttpRequest.newBuilder()
    .uri(URI.create("https://hook.pabbly.com/api/v1/transformations/{{transformationId}}"))
    .header("Authorization", "Basic " + credentials)
    .DELETE();

HttpRequest request = builder.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```

_Node.js_

```node
const credentials = Buffer.from('{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}').toString('base64');

const response = await fetch('https://hook.pabbly.com/api/v1/transformations/{{transformationId}}', {
  method: 'DELETE',
  headers: {
    'Authorization': `Basic ${credentials}`,
  },
});

const data = await response.json();
```

_Go_

```go
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("DELETE", "https://hook.pabbly.com/api/v1/transformations/{{transformationId}}", nil)
    req.SetBasicAuth("{{YOUR_API_KEY}}", "{{YOUR_SECRET_KEY}}")

    res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)
    fmt.Println(string(body))
}
```

_.NET_

```dotnet
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

var credentials = Convert.ToBase64String(Encoding.ASCII.GetBytes("{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}"));

var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Delete, "https://hook.pabbly.com/api/v1/transformations/{{transformationId}}");
request.Headers.TryAddWithoutValidation("Authorization", $"Basic {credentials}");

var response = await client.SendAsync(request);
var data = await response.Content.ReadAsStringAsync();
Console.WriteLine(data);
```

---

**Other endpoints in Transformation:**

- [POST /transformations — Create Transformation](/hook/transformation/create-transformation)
- [GET /transformations/{{transformationId}} — Get Single Transformation By Trs_id](/hook/transformation/get-single-transformation-by-trs-id)
- [GET /transformations/get-all/ — Get All Transformation](/hook/transformation/get-all-transformation)
- [PUT /transformations/{{transformationId}} — Update Transformation By Trs_id](/hook/transformation/update-transformation-by-trs-id)

